%% Microscopy Image Browser Getting Started
% Getting Started
%
% *Back to* <im_browser_product_page.html *Index*>
%% Brief description
% Rapid development of multidimensional microscopy imaging techniques during recent 
% years has raised number of questions about effective image processing, 
% visualization and analysis of the obtained datasets. Most universities 
% worldwide provide access to the modern imaging techniques so that descriptive 
% multidimensional datasets of the desired specimen can be fairly easily obtained by any researcher.
%
% After acquisition the datasets have to be analyzed and quite often the detailed 
% analysis is impossible without segmentation (creating of a model) of objects 
% of interest out of the multidimensional data. It seems that the segmentation is the 
% most time consuming part of the image analysis routine. For example, it may take 
% up to a month to properly segment a single electron tomogram. The slowness 
% of the process is caused by two main factors: limited variety of good
% software tools (even commercial ones) and good user-friendly segmentation 
% algorithms that can be applied to facilitate the modeling. As a result, amount 
% of collected and not properly processed data is much higher than the amount of produced results. 
%
% With development of Microscopy Image Browser (MIB) we address this problem 
% and present a free, open-source software package, which can be used for image 
% processing, analysis, segmentation and visualization of multidimensional datasets. 
%
% The program is designed to work in both Matlab environment and as stand-alone instance. In the latter case it is required to install 
% MATLAB Compiler Runtime (MCR), which is freely available from <http://www.mathworks.com MathWorks>. 
% 
% *_Please note,_* that in the compiled version may not have all features available.
%% Starting the program
% 
% Please follow the steps described in the <im_browser_installation.html Installation section> to install the program. 
%
% Start Microscopy Image Browser with |MIB| command in the main 
% Matlab window and refer to the following sections for details of
% functioning; especially *User Guide* section.
%
%% Links
%
% * <im_browser_installation.html Installation>
% * <im_browser_system_requirements.html System requirements>
% * <im_browser_release_notes.html Release Notes>
% * <im_browser_features.html Features>
% * <im_browser_user_guide.html User Guide>
% * <im_browser_ack.html Acknowledgements>
% * <im_browser_troubleshooting.html Troubleshooting>
%
%
% *Back to* <im_browser_product_page.html *Index*>